# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'backup_foundation/version'

Gem::Specification.new do |spec|
  spec.name          = "backup_foundation"
  spec.version       = BackupFoundation::VERSION
  spec.authors       = ["Andrew Shaydurov"]
  spec.email         = ["gearhead@it-primorye.ru"]
  spec.summary       = "A client for cloud backuping service Backup.Foundation"
  spec.description   = "This gem contains needed to setup backups for your website in 5 minutes"
  spec.homepage      = "https://backup.foundation"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'rake'
  spec.add_runtime_dependency 'multipart-post'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rspec-rails'
  spec.add_development_dependency 'sqlite3'
  spec.add_development_dependency 'mysql2'
  spec.add_development_dependency 'pg'
  spec.add_development_dependency 'activerecord'

  spec.add_development_dependency 'pry'
end
