require 'spec_helper'

describe BackupFoundation::Item::Base do
  describe '#outfile_path' do
    it 'sets the output file name for non-encrypted items' do
      expect(BackupFoundation::Item::Base.new({ database: 'db' }, '/tmp').outfile_path).to eq('/tmp/db.gz')
    end

    it 'sets the output file name for encrypted items' do
      expect(BackupFoundation::Item::Base.new({ database: 'db' }, '/tmp', 'asdf').outfile_path).to eq('/tmp/db.gz.gpg')
    end
  end
end
